GNU bug report logs - #36499
26.2.90; file-error spinner-1.7.3.el, Bad Request

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Brady Trainor <emacs@HIDDEN>; dated Thu, 4 Jul 2019 15:06:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36499 <at> debbugs.gnu.org:


Received: (at 36499) by debbugs.gnu.org; 11 Jul 2019 14:01:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 10:01:22 2019
Received: from localhost ([127.0.0.1]:38261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlZdS-0000hX-1U
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 10:01:22 -0400
Received: from quimby.gnus.org ([80.91.231.51]:55458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hlZdQ-0000f9-8N
 for 36499 <at> debbugs.gnu.org; Thu, 11 Jul 2019 10:01:21 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hlZdM-0004Bh-GC; Thu, 11 Jul 2019 16:01:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Brady Trainor <emacs@HIDDEN>
Subject: Re: bug#36499: 26.2.90; file-error spinner-1.7.3.el, Bad Request
References: <20190704033917.1D71980059@HIDDEN>
 <87bly42qnp.fsf@HIDDEN>
 <20190711063516.85DEA380074@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAFVBMVEUTBw9zPz9SJy0xFR0B
 AAPQiX8FAQaWYcGaAAACbklEQVQ4jVWTTY/aMBCGB4x8xo5yx7a25+Dp7hm1lu9hlbt3ieb//4S+
 4wTaWsBhHt75HlpFpBa8Kv89KiLry77Wf0G3l0piG63d+LED9XRjvKOz8oDR7q4UGJNyuvqLbTC2
 Dmqzp1JiZs4x+omsNKW0FrnYUthw9j56lyyRPUsjKVCuQpxydM47Z8mazw5WzZLgCv8H+iA5GkKC
 pUipJzLMYXb3GD+aHOgJyto4xHFZFp9RxIGaBn+spa6P7JyC2V1e4AhgTdjA4s9WDkbU1eFU6o/j
 bl/8QHKYNvCz3C7XF/AAbHfF7ePdhQ3McZJDEtLgyEuCD8sG+Gy/tHxElnWtzucwziNUPNjv2F1h
 FmuNSQtMCDUB8A7gKzO6fs8hBgKgJ6jEPPF1Di57wkxaB/WB5mY0t4e/mz6RHvz7JBUdcUgJn4uZ
 5DF1cFSAlLZ0BzPI46LgZlapvNe3zGeA73NXNDlVfkrmMwrZFFph5TS6613BhSeE7grCBpkhOI4A
 w8QT7cBCYSJqU18Dv0DRrXz4nHsd6QlkA0fHqBwhpico5TfpVl6Zx2UePf919UsBpsZvWIWEjXwq
 bjuY3pc5aPcTzAZAOvhKiOFCigBwxrTFlnY4GzQypGuKA4DRbe+XZT4p+wjgHRJQsJ1d835C3JAC
 QEx/FS1h3Tk6gOBi5A00K1h2Y3JwcAXgBu5A04OcgvObwjnNqjYcB84JFShAmyOUGpxID9Mlxj3h
 q+NX0NRRQtO9hgCIbzN+CP9HnR1EN8foFv+mq01Nu8mJI96oZzsPOhdPOabJoHWwB3UexvtVR09R
 TQpQnb443nX0yx+sc/ADNfhj2wAAAABJRU5ErkJggg==
Date: Thu, 11 Jul 2019 16:01:16 +0200
In-Reply-To: <20190711063516.85DEA380074@HIDDEN> (Brady
 Trainor's message of "Wed, 10 Jul 2019 23:35:15 -0700")
Message-ID: <m336jczn4j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Brady Trainor <emacs@HIDDEN> writes: >> So basically
 you're getting "400 Bad Request" from ELPA. This wasn't >> just a bad network
 connection? The FSF moved their servers the other >> week -- are you still
 seeing these problems? > > No. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36499
Cc: 36499 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Brady Trainor <emacs@HIDDEN> writes:

>> So basically you're getting "400 Bad Request" from ELPA.  This wasn't
>> just a bad network connection?  The FSF moved their servers the other
>> week -- are you still seeing these problems?
>
> No. Please note, (package-install 'lsp-java) gets the error, but not
> (package-install 'spinner).

Are both packages from the same package repository?

> I have some adjustments to the previous recipe that seem to give me the
> error 100% of the time now.

Can you reproduce the error without Docker?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36499; Package emacs. Full text available.

Message received at 36499 <at> debbugs.gnu.org:


Received: (at 36499) by debbugs.gnu.org; 11 Jul 2019 06:35:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 02:35:27 2019
Received: from localhost ([127.0.0.1]:36962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlSfv-0007Qq-6q
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 02:35:27 -0400
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:36609)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hlSft-0007Qa-4S
 for 36499 <at> debbugs.gnu.org; Thu, 11 Jul 2019 02:35:25 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 18ACD4D1;
 Thu, 11 Jul 2019 02:35:19 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Thu, 11 Jul 2019 02:35:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tangential.info;
 h=references:from:to:cc:subject:in-reply-to:date:mime-version
 :content-type:message-id; s=fm1; bh=rBRlU8wwDMU97YxZ8tvjkLtY0yDd
 qVoKHsNptH0V6jw=; b=mqDyM7RE4avUnpqRWzHufMyBBr2nJ+MrU9bPI3q8RXZs
 7zKaNVz5IM7HhS0CuJfCFzfaci7yLmnt/NbXThrNb1LG/v1M9WF2JAt2fO1Tf410
 emFU6KMmjVUJO5SsMLHySvlCQjH2AWmovjK6k05F+6j2eiiEz15hgWsGhofAm4Vd
 lTfNAlUYpLfK4WrTrtSv8AT2TXK/udZuvhzoCDsOk6z8VFp22B/nFrrkhPlkpm3U
 Nt3FSnziollqCdt+3LKokTki5imlMjY9DkbVQsvoYVA7hDBUmHNXVAiojdO3JNhm
 YYlDJBYu3Ggu+ess4wn2tyzm4HfdlwqvTgjLKf15Ng==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=rBRlU8
 wwDMU97YxZ8tvjkLtY0yDdqVoKHsNptH0V6jw=; b=ZFZh9Tq3p3GFRlds1kl++h
 1TzP+eFiB+1SChxuVcqJ1MqLhTjAM4rlcWUAqcY5Aw3isUuP861GIF8yqwwCo1rH
 /LY7nMendVtGEPqNqGF03MfAEz66MzHn/i5RlWYqIFtyYlgx1uYHFwmH9LVrT7qG
 mts2NJjWubNtyW3TXdTaV3qCy823U8lAM3dTWAHVB2iiuEMuQVZCIVAXJfvRU72+
 KLoEd/jPTOakGrTKiPoyR2tc02Q9+36hVBZra4h9KkqYnxZXS7rHq70qzhy9INFT
 n+nPqG9jX7ZGT4hlUaPwlAMFrz+2Aazr5Y9FK5jbYBR3tq4S67qUyCFJhOlBemDw
 ==
X-ME-Sender: <xms:pNgmXQQhzhiwXUcnIvSQ0uh4gU1awgKdLDog8dNi4HcbDm44gln42Q>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgeejgddutdejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfhfhvffujgffgggtkfesthdtfedttddttdenucfhrhhomhepuehrrgguhicu
 vfhrrghinhhorhcuoegvmhgrtghssehtrghnghgvnhhtihgrlhdrihhnfhhoqeenucffoh
 hmrghinhepmhgvlhhprgdrohhrghdpghhnuhdrohhrghenucfrrghrrghmpehmrghilhhf
 rhhomhepmhgrihhlsegsrhgrugihthdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:pNgmXaHgnfCTMJmHQTfbuITkUMSANzPgm2jLOaHMS7I1m5pbie655Q>
 <xmx:pNgmXSiQUMDl7hxkAqRi--tsOabJijlrtGD5W6IALcRgHevLXhMnzw>
 <xmx:pNgmXYhHEIEEAird76EVT2tZYMUDHb-dMptcANgextMlj2k71lWdFg>
 <xmx:ptgmXV4Us0gUVllOYYVZM6rdNH25YEDfbfzPSWomMVHrtVmTBiO7pw>
References: <20190704033917.1D71980059@HIDDEN>
 <87bly42qnp.fsf@HIDDEN>
From: Brady Trainor <emacs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#36499: 26.2.90; file-error spinner-1.7.3.el, Bad Request
In-reply-to: <87bly42qnp.fsf@HIDDEN>
Date: Wed, 10 Jul 2019 23:35:15 -0700
MIME-Version: 1.0
Content-Type: text/plain
Message-Id: <20190711063516.85DEA380074@HIDDEN>
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 36499
Cc: 36499 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

Hello Lars,

On Mon, Jul 08 2019, Lars Ingebrigtsen wrote:

> So basically you're getting "400 Bad Request" from ELPA.  This wasn't
> just a bad network connection?  The FSF moved their servers the other
> week -- are you still seeing these problems?

No. Please note, (package-install 'lsp-java) gets the error, but not
(package-install 'spinner).

I have some adjustments to the previous recipe that seem to give me the
error 100% of the time now.

Dockerfile:

--8<---------------cut here---------------start------------->8---
FROM silex/emacs

ADD .emacs.d /root/.emacs.d

ARG ANY_VAR=unknown

RUN emacs -batch -l ~/.emacs.d/init.el

WORKDIR /root/
CMD "bash"
--8<---------------cut here---------------end--------------->8---

.emacs.d/init.el:

--8<---------------cut here---------------start------------->8---
(setq debug-on-error t)

(setq package-archives
      '(("gnu" . "https://elpa.gnu.org/packages/")
        ("melpa" . "https://melpa.org/packages/")))

(package-initialize)

(unless package-archive-contents
  (package-refresh-contents))

(package-install 'lsp-java)
--8<---------------cut here---------------end--------------->8---

docker command:

--8<---------------cut here---------------start------------->8---
docker build . --build-arg ANY_VAR=$(date +%s) -t this:one && docker run --rm -it this:one
--8<---------------cut here---------------end--------------->8---

So the INCUBATOR_VER has been added to ensure starting emacs as if it's
the first time each time.

Thank you,

-Brady




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36499; Package emacs. Full text available.

Message received at 36499 <at> debbugs.gnu.org:


Received: (at 36499) by debbugs.gnu.org; 8 Jul 2019 20:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 16:54:42 2019
Received: from localhost ([127.0.0.1]:59699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkaen-0001a8-Sd
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 16:54:42 -0400
Received: from quimby.gnus.org ([80.91.231.51]:33524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hkael-0001Zz-8f
 for 36499 <at> debbugs.gnu.org; Mon, 08 Jul 2019 16:54:39 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hkaeg-00058X-MA; Mon, 08 Jul 2019 22:54:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Brady Trainor <emacs@HIDDEN>
Subject: Re: bug#36499: 26.2.90; file-error spinner-1.7.3.el, Bad Request
References: <20190704033917.1D71980059@HIDDEN>
Date: Mon, 08 Jul 2019 22:54:34 +0200
In-Reply-To: <20190704033917.1D71980059@HIDDEN> (Brady
 Trainor's message of "Wed, 03 Jul 2019 20:39:15 -0700")
Message-ID: <87bly42qnp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Brady Trainor <emacs@HIDDEN> writes: > I then get
 the following error, but neither 0% nor 100% of the time. The backtrace looks
 kinda oddly formatted, but it's basically (I think)... 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36499
Cc: 36499 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Brady Trainor <emacs@HIDDEN> writes:

> I then get the following error, but neither 0% nor 100% of the time.

The backtrace looks kinda oddly formatted, but it's basically (I think)...

> Debugger entered--Lisp error: (file-error "https://elpa.gnu.org/packages/spinner-1.7.3.el" "Bad Request") 
>   mapc(package-install-from-archive
>   package-download-transaction(
>   package-install(lsp-java)

So basically you're getting "400 Bad Request" from ELPA.  This wasn't
just a bad network connection?  The FSF moved their servers the other
week -- are you still seeing these problems?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36499; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jul 2019 15:05:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 04 11:05:21 2019
Received: from localhost ([127.0.0.1]:51705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hj3IX-0002DH-0t
	for submit <at> debbugs.gnu.org; Thu, 04 Jul 2019 11:05:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:51260)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hisai-0003hF-EQ
 for submit <at> debbugs.gnu.org; Wed, 03 Jul 2019 23:39:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53825)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <mail@HIDDEN>) id 1hisag-0002Ly-Ey
 for bug-gnu-emacs@HIDDEN; Wed, 03 Jul 2019 23:39:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1hisae-0001px-GR
 for bug-gnu-emacs@HIDDEN; Wed, 03 Jul 2019 23:39:22 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:52235)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1hisae-0001ow-4J
 for bug-gnu-emacs@HIDDEN; Wed, 03 Jul 2019 23:39:20 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 2DE4521C39;
 Wed,  3 Jul 2019 23:39:18 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Wed, 03 Jul 2019 23:39:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tangential.info;
 h=from:to:subject:date:mime-version:content-type
 :content-transfer-encoding:message-id; s=fm1; bh=rcotNw6R4/goohZ
 /t7d59qZHOA3eHlIr6AZUcXsIpa4=; b=Wcn0aGEz0nG57Di+YjKrl+pDpXyy4OZ
 0O2iPKZawB2iIEZKf2Gu3C3gZr7YS0tlJGHJtBSjT720Dk3B/c7i8pJbgct7lA3n
 KPYqB2E4sIuYXckiBwob+ZLm15fTEI3S4tvTaVGzj9VeF4dvG8VAKfcU9a79XhHF
 rjZElv64bIVULhQqgJi38/8xPmeCE/V05wX6n/11B/msfoSnIRGO/wXnn5uOfrbd
 cMlP8CA0Pcves/Bk62+rfqCvL9yaAwgLrPleDpHVR7r03fn62HEfRfBl26dqW17D
 JLU5RhP2ys9gODMDeTg/Ipcw532iORiZk3kj7veo7MKC+cjSd8UyAww==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=rcotNw
 6R4/goohZ/t7d59qZHOA3eHlIr6AZUcXsIpa4=; b=C+HRszgw/XtxDJ0C2Sp+rR
 ykS4EKhFhl2YhJTCbqCAX7PdwvMOvJafa/1AqqIuGliw2crNPP5q/Q3Jf/RdqdXJ
 BG7OitG57v0xx3a3DNBZXWiV42K5XzjFNv1V20X8eGmVLWpMr1bRLA3XudSIYIt7
 tLcO3vQKtCmTpRMRZAtm+MjlFsyDut/uI9L224YD1/SVx0rSrOoPbsV4tNwA88Gx
 T7rBUFROypVWpM8FyVfan1nlCQ/ZhbuS9TEhAj4rdTSDARizvKb7IRcwtFjb0TJl
 TLCqWJJkhzqAnybGpjnSyq3wkTrScc6NYDDd4RtTszqqf55YLDyQh6ocH3zw4NPQ
 ==
X-ME-Sender: <xms:5XQdXZZJj4FCdFeGmPc90HzGGJZ2NGhx-Hk8uddLQ1ukpaMGv9tiUg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrfedugdejfecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhephffvufffgggtgffksehtqheftddttd
 dtnecuhfhrohhmpeeurhgrugihucfvrhgrihhnohhruceovghmrggtshesthgrnhhgvghn
 thhirghlrdhinhhfoheqnecuffhomhgrihhnpehjsghlvghvihhnshdrohhrghdpmhgvlh
 hprgdrohhrghdpghhithhhuhgsrdgtohhmpdhgnhhurdhorhhgnecurfgrrhgrmhepmhgr
 ihhlfhhrohhmpehmrghilhessghrrgguhihtrdgtohhmnecuvehluhhsthgvrhfuihiivg
 eptd
X-ME-Proxy: <xmx:5XQdXV6v8RZIGNt2HPY1_b-NfFPuQgkgmIkTH-z_IUXd5ZfWRd0a9Q>
 <xmx:5XQdXbDwHELCYjzMdDKEXI_sEIiEtTk35G-EM2Tskwd4SYekRKFk6w>
 <xmx:5XQdXb-oaXLwFVLU3h5ePBiPfwAYh6F3ze4T-_Zu8e60-ZTC-8ahfA>
 <xmx:5nQdXY2pUouZn83vlAkFDtm3nf0--2ZjdSEwEGdg3iLgnn2YHq2Vzw>
From: Brady Trainor <emacs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.2.90; file-error spinner-1.7.3.el, Bad Request
Date: Wed, 03 Jul 2019 20:39:15 -0700
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
Message-Id: <20190704033917.1D71980059@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 66.111.4.27
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 04 Jul 2019 11:05:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello,

When I setup lsp-java in a Docker to verify setup steps, I get
intermittent errors as package.el tries to install a requirement from
elpa.gnu. If I experiment with different OSes, different emacs versions,
it is difficult to reproduce. With the description below, of a
Dockerfile and an init.el, the issue happens seems to happen more
frequently if I have iterated on restart a few times in a row.

The init.el is as follows.

--8<---------------cut here---------------start------------->8---
(setq package-archives
      '(("gnu" . "https://elpa.gnu.org/packages/")
        ("melpa" . "https://melpa.org/packages/")))

(package-initialize)

(unless package-archive-contents
  (package-refresh-contents))

(package-install 'lsp-java)
--8<---------------cut here---------------end--------------->8---

The contents of the Dockerfile are as follows.

--8<---------------cut here---------------start------------->8---
FROM silex/emacs

ADD .emacs.d /root/.emacs.d

CMD "emacs" "--debug-init"
--8<---------------cut here---------------end--------------->8---

The Dockerfile and the .emacs.d/init.el are in the same directory. Then,
in that directory, I call with the following.

--8<---------------cut here---------------start------------->8---
docker build . -t this:one && docker run --rm -it this:one
--8<---------------cut here---------------end--------------->8---

I then get the following error, but neither 0% nor 100% of the time.

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (file-error "https://elpa.gnu.org/packages/sp=
inner-1.7.3.el" "Bad Request") signal(file-error ("https://elpa.gnu.org/pac=
kages/spinner-1.7.3.el" "Bad Request")) package-install-from-archive(#s(pac=
kage-desc :name spinner :version (1 7 3) :summary "Add spinners and progres=
s-bars to the mode-line for ongoing operations" :reqs nil :kind single :arc=
hive "gnu" :dir nil :extras ((:keywords "processes" "mode-line") (:authors =
("Artur Malabarba" . "emacs@HIDDEN")) (:maintainer "Artur M=
alabarba" . "emacs@HIDDEN") (:url . "https://github.com/Mal=
abarba/spinner.el")) :signed nil))
  mapc(package-install-from-archive (#s(package-desc :name request :version=
 (20190621 1622) :summary "Compatible layer for URL request in Emacs" :reqs=
 ((emacs (24 4))) :kind single :archive "melpa" :dir nil :extras ((:commit =
. "ef9f509b5579f2b529a20e43f7e0f061e641fec5") (:authors ("Takafumi Arakaki =
<aka.tkf at gmail.com>")) (:maintainer "Takafumi Arakaki <aka.tkf at gmail.=
com>") (:url . "https://github.com/tkf/emacs-request")) :signed nil) #s(pac=
kage-desc :name dash :version (20190424 1804) :summary "A modern list libra=
ry for Emacs" :reqs nil :kind single :archive "melpa" :dir nil :extras ((:c=
ommit . "77f3bf40c9c85386a50f2dab3dc950513f6f88bd") (:keywords "lists") (:a=
uthors ("Magnar Sveen" . "magnars@HIDDEN")) (:maintainer "Magnar Sveen" =
. "magnars@HIDDEN")) :signed nil) #s(package-desc :name dash-functional =
:version (20180107 1618) :summary "Collection of useful combinators for Ema=
cs Lisp" :reqs ((dash (2 0 0)) (emacs (24))) :kind single :archive "melpa" =
:dir nil :extras ((:commit . "77f3bf40c9c85386a50f2dab3dc950513f6f88bd") (:=
keywords "lisp" "functions" "combinators")) :signed nil) #s(package-desc :n=
ame ht :version (20190611 2131) :summary "The missing hash table library fo=
r Emacs" :reqs ((dash (2 12 0))) :kind single :archive "melpa" :dir nil :ex=
tras ((:commit . "5650a8cd190badb49d28d21e72a2f55c9380de7b") (:keywords "ha=
sh table" "hash map" "hash") (:authors ("Wilfred Hughes" . "me@HIDDEN=
k")) (:maintainer "Wilfred Hughes" . "me@HIDDEN")) :signed nil) #s(p=
ackage-desc :name s :version (20180406 808) :summary "The long lost Emacs s=
tring manipulation library." :reqs nil :kind single :archive "melpa" :dir n=
il :extras ((:commit . "03410e6a7a2b11e47e1fea3b7d9899c7df26435e") (:keywor=
ds "strings") (:authors ("Magnar Sveen" . "magnars@HIDDEN")) (:maintaine=
r "Magnar Sveen" . "magnars@HIDDEN")) :signed nil) #s(package-desc :name=
 f :version (20190109 906) :summary "Modern API for working with files and =
directories" :reqs ((s (1 7 0)) (dash (2 2 0))) :kind single :archive "melp=
a" :dir nil :extras ((:commit . "8191672377816a1975414cc1f116fd3b94b30bd0")=
 (:keywords "files" "directories") (:authors ("Johan Andersson" . "johan.re=
jeep@HIDDEN")) (:maintainer "Johan Andersson" . "johan.rejeep@HIDDEN"=
) (:url . "http://github.com/rejeep/f.el")) :signed nil) #s(package-desc :n=
ame markdown-mode :version (20190305 319) :summary "Major mode for Markdown=
-formatted text" :reqs ((emacs (24 4)) (cl-lib (0 5))) :kind single :archiv=
e "melpa" :dir nil :extras ((:commit . "115f77df9755c6a453f3e5d9623ff885d20=
7ea82") (:keywords "markdown" "github flavored markdown" "itex") (:authors =
("Jason R. Blevins" . "jblevins@HIDDEN")) (:maintainer "Jason R. Blevins=
" . "jblevins@HIDDEN") (:url . "https://jblevins.org/projects/markdown-m=
ode/")) :signed nil) #s(package-desc :name spinner :version (1 7 3) :summar=
y "Add spinners and progress-bars to the mode-line for ongoing operations" =
:reqs nil :kind single :archive "gnu" :dir nil :extras ((:keywords "process=
es" "mode-line") (:authors ("Artur Malabarba" . "emacs@HIDDEN=
om")) (:maintainer "Artur Malabarba" . "emacs@HIDDEN") (:ur=
l . "https://github.com/Malabarba/spinner.el")) :signed nil) #s(package-des=
c :name lsp-mode :version (20190629 546) :summary "LSP mode" :reqs ((emacs =
(25 1)) (dash (2 14 1)) (dash-functional (2 14 1)) (f (0 20 0)) (ht (2 0)) =
(spinner (1 7 3)) (markdown-mode (2 3))) :kind tar :archive "melpa" :dir ni=
l :extras ((:commit . "9f89a3413865343a1a1f794fe45b31f72e56912e") (:keyword=
s "languages") (:authors ("Vibhav Pant, Fangrui Song, Ivan Yonchovski")) (:=
maintainer "Vibhav Pant, Fangrui Song, Ivan Yonchovski") (:url . "https://g=
ithub.com/emacs-lsp/lsp-mode")) :signed nil) #s(package-desc :name lsp-java=
 :version (20190623 659) :summary "Java support for lsp-mode" :reqs ((emacs=
 (25 1)) (lsp-mode (6 0)) (markdown-mode (2 3)) (dash (2 14 1)) (f (0 20 0)=
) (ht (2 0)) (dash-functional (1 2 0)) (request (0 3 0))) :kind tar :archiv=
e "melpa" :dir nil :extras ((:commit . "305eb56aecc7180c294cd06ab7a8dd62cba=
40f70") (:keywords "java") (:url . "https://github.com/emacs-lsp/lsp-java")=
) :signed nil)))
  package-download-transaction((#s(package-desc :name request :version (201=
90621 1622) :summary "Compatible layer for URL request in Emacs" :reqs ((em=
acs (24 4))) :kind single :archive "melpa" :dir nil :extras ((:commit . "ef=
9f509b5579f2b529a20e43f7e0f061e641fec5") (:authors ("Takafumi Arakaki <aka.=
tkf at gmail.com>")) (:maintainer "Takafumi Arakaki <aka.tkf at gmail.com>"=
) (:url . "https://github.com/tkf/emacs-request")) :signed nil) #s(package-=
desc :name dash :version (20190424 1804) :summary "A modern list library fo=
r Emacs" :reqs nil :kind single :archive "melpa" :dir nil :extras ((:commit=
 . "77f3bf40c9c85386a50f2dab3dc950513f6f88bd") (:keywords "lists") (:author=
s ("Magnar Sveen" . "magnars@HIDDEN")) (:maintainer "Magnar Sveen" . "ma=
gnars@HIDDEN")) :signed nil) #s(package-desc :name dash-functional :vers=
ion (20180107 1618) :summary "Collection of useful combinators for Emacs Li=
sp" :reqs ((dash (2 0 0)) (emacs (24))) :kind single :archive "melpa" :dir =
nil :extras ((:commit . "77f3bf40c9c85386a50f2dab3dc950513f6f88bd") (:keywo=
rds "lisp" "functions" "combinators")) :signed nil) #s(package-desc :name h=
t :version (20190611 2131) :summary "The missing hash table library for Ema=
cs" :reqs ((dash (2 12 0))) :kind single :archive "melpa" :dir nil :extras =
((:commit . "5650a8cd190badb49d28d21e72a2f55c9380de7b") (:keywords "hash ta=
ble" "hash map" "hash") (:authors ("Wilfred Hughes" . "me@HIDDEN")) =
(:maintainer "Wilfred Hughes" . "me@HIDDEN")) :signed nil) #s(packag=
e-desc :name s :version (20180406 808) :summary "The long lost Emacs string=
 manipulation library." :reqs nil :kind single :archive "melpa" :dir nil :e=
xtras ((:commit . "03410e6a7a2b11e47e1fea3b7d9899c7df26435e") (:keywords "s=
trings") (:authors ("Magnar Sveen" . "magnars@HIDDEN")) (:maintainer "Ma=
gnar Sveen" . "magnars@HIDDEN")) :signed nil) #s(package-desc :name f :v=
ersion (20190109 906) :summary "Modern API for working with files and direc=
tories" :reqs ((s (1 7 0)) (dash (2 2 0))) :kind single :archive "melpa" :d=
ir nil :extras ((:commit . "8191672377816a1975414cc1f116fd3b94b30bd0") (:ke=
ywords "files" "directories") (:authors ("Johan Andersson" . "johan.rejeep@=
gmail.com")) (:maintainer "Johan Andersson" . "johan.rejeep@HIDDEN") (:u=
rl . "http://github.com/rejeep/f.el")) :signed nil) #s(package-desc :name m=
arkdown-mode :version (20190305 319) :summary "Major mode for Markdown-form=
atted text" :reqs ((emacs (24 4)) (cl-lib (0 5))) :kind single :archive "me=
lpa" :dir nil :extras ((:commit . "115f77df9755c6a453f3e5d9623ff885d207ea82=
") (:keywords "markdown" "github flavored markdown" "itex") (:authors ("Jas=
on R. Blevins" . "jblevins@HIDDEN")) (:maintainer "Jason R. Blevins" . "=
jblevins@HIDDEN") (:url . "https://jblevins.org/projects/markdown-mode/"=
)) :signed nil) #s(package-desc :name spinner :version (1 7 3) :summary "Ad=
d spinners and progress-bars to the mode-line for ongoing operations" :reqs=
 nil :kind single :archive "gnu" :dir nil :extras ((:keywords "processes" "=
mode-line") (:authors ("Artur Malabarba" . "emacs@HIDDEN"))=
 (:maintainer "Artur Malabarba" . "emacs@HIDDEN") (:url . "=
https://github.com/Malabarba/spinner.el")) :signed nil) #s(package-desc :na=
me lsp-mode :version (20190629 546) :summary "LSP mode" :reqs ((emacs (25 1=
)) (dash (2 14 1)) (dash-functional (2 14 1)) (f (0 20 0)) (ht (2 0)) (spin=
ner (1 7 3)) (markdown-mode (2 3))) :kind tar :archive "melpa" :dir nil :ex=
tras ((:commit . "9f89a3413865343a1a1f794fe45b31f72e56912e") (:keywords "la=
nguages") (:authors ("Vibhav Pant, Fangrui Song, Ivan Yonchovski")) (:maint=
ainer "Vibhav Pant, Fangrui Song, Ivan Yonchovski") (:url . "https://github=
.com/emacs-lsp/lsp-mode")) :signed nil) #s(package-desc :name lsp-java :ver=
sion (20190623 659) :summary "Java support for lsp-mode" :reqs ((emacs (25 =
1)) (lsp-mode (6 0)) (markdown-mode (2 3)) (dash (2 14 1)) (f (0 20 0)) (ht=
 (2 0)) (dash-functional (1 2 0)) (request (0 3 0))) :kind tar :archive "me=
lpa" :dir nil :extras ((:commit . "305eb56aecc7180c294cd06ab7a8dd62cba40f70=
") (:keywords "java") (:url . "https://github.com/emacs-lsp/lsp-java")) :si=
gned nil)))
  package-install(lsp-java)
  eval-buffer(#<buffer  *load*> nil "/root/.emacs.d/init.el" nil t)  ; Read=
ing at buffer position 241
  load-with-code-conversion("/root/.emacs.d/init.el" "/root/.emacs.d/init.e=
l" t t)
  load("/root/.emacs.d/init" t t)
  #f(compiled-function () #<bytecode 0x25ead9>)()
  command-line()
  normal-top-level()
--8<---------------cut here---------------end--------------->8---

I hope someone else can reproduce, and/or give advice on how I can
attempt to further isolate the issue.

Notes:

- It is not idempotent. If I restart emacs in the same image, it does
  not happen.
- If I install interactively, it does not happen.
- I tried briefly on macOS, and on Ubuntu in a VPS. It did not happen.
- If I use for example (mapc 'package-install '(spinner lsp-java)), it
  does not happen.

Thank you!

-Brady

Sent from mu4e




Acknowledgement sent to Brady Trainor <emacs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36499; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 11 Jul 2019 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.